## pydoop-0.11.1.tar.gz

=== examples/self_contained/Makefile ===
# BEGIN_COPYRIGHT
# 
# Copyright 2009-2013 CRS4.
# 
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy
# of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
# 
# END_COPYRIGHT

HADOOP_HOME = $(shell python -c 'import pydoop; print pydoop.hadoop_home()')
HADOOP_CONF_DIR = $(shell python -c 'import pydoop; print pydoop.hadoop_conf()')
HADOOP = $(shell python -c 'import pydoop; print pydoop.hadoop_exec()') --config $(HADOOP_CONF_DIR)

PYTHON_ABI_TAG ?= $(shell uname -r | grep gentoo >/dev/null && eselect python show | tr -s python -)
BOOST_PYTHON ?= boost_python$(PYTHON_ABI_TAG)

BASE_BUILD_DIR := $(realpath .)/_build

PYDOOP_TRUNK := $(realpath ../..)
CV_TRUNK := $(realpath .)

PYDOOP_BUILD_DIR := $(BASE_BUILD_DIR)/pydoop
PYDOOP_DIR := $(PYDOOP_BUILD_DIR)/pydoop
PYDOOP_TAR := $(PYDOOP_DIR)/pydoop.tgz

CV_BUILD_DIR := $(BASE_BUILD_DIR)/cv
CV_DIR := $(CV_BUILD_DIR)/cv
CV_TAR := $(CV_DIR)/cv.tgz

HDFS_WORK_DIR := pydoop_test_self_contained
INPUT_DIR := ../input


.PHONY: all pydoop cv upload run get clean distclean dfsclean

all: upload
pydoop: $(PYDOOP_TAR)
cv: $(CV_TAR)

$(PYDOOP_TAR): $(PYDOOP_TRUNK)
	cd $< && HADOOP_HOME=$(HADOOP_HOME) BOOST_PYTHON=$(BOOST_PYTHON) python setup.py build --build-base $(BASE_BUILD_DIR) --build-lib $(PYDOOP_BUILD_DIR)
	cd $(PYDOOP_DIR) && tar czf pydoop.tgz *

$(CV_TAR): $(CV_TRUNK)/setup.py $(CV_TRUNK)/cv 
	python $< build --build-base $(BASE_BUILD_DIR) --build-lib $(CV_BUILD_DIR)
	cd $(CV_DIR) && tar czf cv.tgz *

upload: pydoop cv dfsclean
	$(HADOOP) dfs -mkdir $(HDFS_WORK_DIR)
	$(HADOOP) dfs -put $(PYDOOP_TAR) $(HDFS_WORK_DIR)
	$(HADOOP) dfs -put $(CV_TAR) $(HDFS_WORK_DIR)

run: self_contained.py upload
	HDFS_WORK_DIR=$(HDFS_WORK_DIR) python $< $(INPUT_DIR)

clean:
	rm -rf $(BASE_BUILD_DIR)

distclean: clean
	find . -regex '.*\(\.pyc\|\.pyo\|~\|\.so\)' -exec rm -fv {} \;

=== examples/wordcount/c++/Makefile ===
# NOTE: with security-enabled Hadoop versions this example compiles
# fine, but running it fails with a "Server failed to authenticate"
# error. For some reason, rebuilding libhadoop{pipes,utils} from
# source solves the problem.

#ARCH := i386-32
ARCH := amd64-64

HADOOP_BASE := $(HADOOP_HOME)/c++/Linux-$(ARCH)
CXXFLAGS := -I$(HADOOP_BASE)/include
LDFLAGS := -L$(HADOOP_BASE)/lib
LDLIBS := -lhadooppipes -lhadooputils -lpthread
INCLUDING_SSL := $(shell grep -rl openssl $(HADOOP_HOME)/src/c++)
ifdef INCLUDING_SSL
	LDLIBS := $(LDLIBS) -lcrypto -lssl
endif

build: WordCount

run: build
	hadoop fs -put WordCount WordCount
	hadoop fs -put ../../input WordCountInput
	hadoop pipes -conf WordCount.xml -input WordCountInput -output WordCountOutput
	hadoop fs -get WordCountOutput WordCountOutput
	hadoop fs -rmr 'WordCount*'

clean:
	rm -rf WordCount WordCountOutput

=== debian/changelog ===
python-pydoop (0.10.0-1) unstable; urgency=low

  * Packages Pydoop 0.10.0 for CDH 4.3.0.

 -- mauro <mauro@crs4.it>  Thu, 05 Sep 2013 12:27:34 +0200

python-pydoop (0.9.0-1) unstable; urgency=low

  * Packages Pydoop 0.9.0 for CDH 4.2.0.

 -- simleo <simleo@simleo-U36SD>  Thu, 07 Feb 2013 14:27:37 +0100

python-pydoop (0.8.1-1) unstable; urgency=low

  * Packages Pydoop 0.8.1 for CDH 4.1.3.

 -- simleo <simleo@simleo-U36SD>  Thu, 07 Feb 2013 14:27:37 +0100

python-pydoop (0.7.0-1) unstable; urgency=low

  * Initial Release.

 -- CRS4 <simone.leo@crs4.it>  Wed, 14 Nov 2012 17:26:49 +0100

=== debian/control ===
Source: python-pydoop
Section: python
Priority: extra
Maintainer: CRS4 <simone.leo@crs4.it>
Build-Depends: debhelper (>= 8.0.0), python-all-dev (>= 2.7), libboost-python-dev (>=1.40), libssl-dev, python-sphinx,  sun-java6-jdk, devscripts, inkscape
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://pydoop.sourceforge.net

Package: python-pydoop
Section: python
Architecture: amd64
Depends: ${python:Depends}, ${shlibs:Depends}, hadoop-0.20-conf-pseudo, hadoop-client
Description: Pydoop: a Python MapReduce and HDFS API for Hadoop
 Pydoop provides a MapReduce and HDFS API for Hadoop that allows
 object-oriented Java-style MapReduce programming in CPython as well
 as HDFS access.
